Bug 242765 - [NEW PORT] www/py-flask-peewee: Integration between flask framework and the peewee orm
Summary: [NEW PORT] www/py-flask-peewee: Integration between flask framework and the p...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on: 242763
Blocks: 242617
  Show dependency treegraph
 
Reported: 2019-12-21 12:53 UTC by Goran Mekić
Modified: 2020-01-11 12:16 UTC (History)
2 users (show)

See Also:


Attachments
py-flask-peewee.diff (2.49 KB, patch)
2019-12-21 12:53 UTC, Goran Mekić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-21 12:53:58 UTC
Created attachment 210101 [details]
py-flask-peewee.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (68 tests PASS)
Comment 1 Ben Woods freebsd_committer 2019-12-24 05:35:02 UTC
Note that this is not required if using GitHub (I will remove it):
MASTER_SITES=	CHEESESHOP
Comment 2 Ben Woods freebsd_committer 2019-12-24 05:36:52 UTC
License appears to be MIT, not BSD (I will change it).
Also note the following warning during "make extract":
LICENSE must not contain BSD, instead use BSD[234]CLAUSE
Comment 3 Ben Woods freebsd_committer 2019-12-24 05:41:19 UTC
I will fix the www/Makefile to be in alphabetical order:
+    SUBDIR += py-flask-peewee
     SUBDIR += py-flask-principal
-    SUBDIR += py-flask-peewee
Comment 4 Ben Woods freebsd_committer 2019-12-24 05:46:01 UTC
To ensure tests will run, I will add:
TEST_DEPENDS=   ${PYTHON_PKGNAMEPREFIX}sqlite3>=0:databases/py-sqlite3@${PY_FLAVOR}
Comment 5 commit-hook freebsd_committer 2019-12-24 05:49:21 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Dec 24 05:48:43 UTC 2019
New revision: 520777
URL: https://svnweb.freebsd.org/changeset/ports/520777

Log:
  Add new port www/py-flask-peewee

  Flask-Peewee provides a layer of integration between the flask web
  framework and the peewee orm.

  WWW: https://github.com/coleifer/flask-peewee/

  PR:		242765
  Submitted by:	Goran Meki? <meka@tilda.center>

Changes:
  head/www/Makefile
  head/www/py-flask-peewee/
  head/www/py-flask-peewee/Makefile
  head/www/py-flask-peewee/distinfo
  head/www/py-flask-peewee/pkg-descr
Comment 6 Ben Woods freebsd_committer 2019-12-24 05:49:43 UTC
Committed - thanks!